package javax.xml.stream.events;

import javax.xml.stream.XMLStreamException;
import java.io.Writer;
import javax.xml.namespace.QName;
import javax.xml.stream.Location;
import javax.xml.stream.XMLStreamConstants;

public interface XMLEvent extends XMLStreamConstants
{
    public abstract int getEventType();
    
    public abstract Location getLocation();
    
    public abstract boolean isStartElement();
    
    public abstract boolean isAttribute();
    
    public abstract boolean isNamespace();
    
    public abstract boolean isEndElement();
    
    public abstract boolean isEntityReference();
    
    public abstract boolean isProcessingInstruction();
    
    public abstract boolean isCharacters();
    
    public abstract boolean isStartDocument();
    
    public abstract boolean isEndDocument();
    
    public abstract StartElement asStartElement();
    
    public abstract EndElement asEndElement();
    
    public abstract Characters asCharacters();
    
    public abstract QName getSchemaType();
    
    public abstract void writeAsEncodedUnicode(Writer p0) throws XMLStreamException;
}
